﻿namespace Ovik
{
    using Autofac;
    using Ovik.Views;

    public class Container
    {
        //public ContainerBuilder Builder { get; private set; }

        private static IContainer _instance;

        public static IContainer Instance
        {
            get
            {
                if (_instance == null)
                {
                    BuildContainer();
                }

                return _instance;
            }
        }

        private static void BuildContainer()
        {
            var builder = new ContainerBuilder();
            builder.RegisterType<AboutView>().As<IAboutView>();



            _instance = builder.Build();
        }

        public Container()
        {
            
        }
    }
}
