﻿namespace Ovik.Views
{
    using System.Windows.Controls;
    using System.Windows;
    using GalaSoft.MvvmLight.Messaging;
    using Ovik.Messaging;

    /// <summary>
    /// Interaction logic for VideoCollectionView.xaml
    /// </summary>
    public partial class VideoCollectionView : UserControl
    {
        public VideoCollectionView()
        {
            InitializeComponent();
        }

        private void filesListBox_Drop(object sender, System.Windows.DragEventArgs e)
        {
            if (e.Data.GetDataPresent(DataFormats.FileDrop))
            {
                string[] droppedFilePaths = e.Data.GetData(DataFormats.FileDrop, true) as string[];

                Messenger.Default.Send<FileDropMessage>(new FileDropMessage { Files = droppedFilePaths });

                //foreach (string droppedFilePath in droppedFilePaths)
                //{
                //    ListBoxItem fileItem = new ListBoxItem();

                //    fileItem.Content = System.IO.Path.GetFileNameWithoutExtension(droppedFilePath);
                //    fileItem.ToolTip = droppedFilePath;

                //    DropListBox.Items.Add(fileItem);
                //}
            }
        }
    }
}
